<div class="mid-body">
  <div class="container">
    <div class="row">
      <div class="col-sm-5">
        <h1>Operating Points</h1>
      </div>
      <div class="col-sm-7 text-right">
        <div class="select-inline">
          <label>Vp</label>
          <select placeholder="select"
            (change)="selectChangeVp($event)">
            <option>m3/s</option>
            <option>m3/m </option>
            <option>m3/h</option>
            <option>Nm3/s</option>
            <option>Nm3/m</option>
            <option>Nm3/h</option>
          </select>
        </div>
        <div class="select-inline">
          <label>Dpt</label>
          <select placeholder="select"
            (change)="selectChangeDpt($event)">
            <option>Pa</option>
            <option>mmWG</option>
            <option>mbar</option>
            <option>daPa</option>
          </select>
        </div>
      </div>

      <div class="operating-table">
        <table class="table table-responsive">
          <thead>
            <tr>
              <th>Operating
                <span class="break">Point</span>
              </th>
              <th>Operating
                <span class="break">Temp (T)</span>
              </th>
              <th>Flow Rate
                <span class="break">(Vp)</span>
              </th>
              <th>
                <span class="break">Static Pressure</span>Diff (Dpt)
              </th>
              <th>Altitude (At)
                <span class="break">
                  <label class="switch">
                    <input type="checkbox"
                      (change)="toggleEditable($event)">
                    <span class="slider round"></span>
                  </label>
                </span>
              </th>
              <th>
                <div class="dropdown">
                  <button id="dLabel"
                    type="button"
                    data-toggle="dropdown"
                    aria-haspopup="true"
                    aria-expanded="false">
                    Humidity (F)
                    <span>
                      <i class="fa fa-angle-down"
                        aria-hidden="true"></i>
                    </span>
                  </button>
                  <ul class="dropdown-menu"
                    aria-labelledby="dLabel">
                    <li>Relative</li>
                    <li>Absolute</li>
                  </ul>
                </div>
              </th>
              <th>Dust Load
                <span class="break">
                  <label class="switch">
                    <input type="checkbox"
                      (change)="toggleEditables($event)">
                    <span class="slider round"></span>
                  </label>
                </span>
              </th>
              <th>Normal
                <span class="break">Density</span>
              </th>
              <th>Density(Ro)</th>
              <th>
                <span class="break">Dynamic</span>
                <span class="break">Viscosity (Vi)</span>
              </th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let op of selectedProject.GasOperatingPoints  ; let i = index; ">
              <td>
                <input id="'op'+i"
                  type="text"
                  name="OperatingPoint"
                  (keydown.enter)="handleEnterKey($event,i,'temp')"
                  placeholder="op-1"
                  [style.width.px]="80" />
              </td>
              <td>
                <input [id]="'temp'+i"
                  type="number"
                  name="OperatingTemp"
                  (keydown.enter)="handleEnterKey($event,i,'flowRate')"
                  [(ngModel)]="op.T"
                  placeholder="120"
                  required
                  #opTemp="ngModel"
                  [style.width.px]="80" />
              </td>
              <td>
                <input [id]="'flowRate'+i"
                  type="number"
                  name="FlowRate"
                  (keydown.enter)="handleEnterKey($event,i,'pressure')"
                  [(ngModel)]="op.Vp"
                  placeholder="3.2"
                  required
                  #flowRate="ngModel"
                  [style.width.px]="80" />
              </td>
              <td>
                <input [id]="'pressure'+i"
                  type="number"
                  name="PressureDifference"
                  (keydown.enter)="handleEnterKey($event,i,'altitude')"
                  [(ngModel)]="op.Dpt"
                  placeholder="2942"
                  required
                  #pressureDiff="ngModel"
                  [style.width.px]="80" />
              </td>
              <td>
                <input [id]="'altitude'+i"
                  type="number"
                  name="Altitude"
                  (keydown)="handleEnterKey($event,i,'humidity')"
                  [disabled]="!isDisabled()"
                  placeholder="29.8"
                  [style.width.px]="80" />
              </td>
              <td>
                <input [id]="'humidity'+i"
                  type="number"
                  name="Humidity"
                  (keydown.enter)="handleEnterKey($event,i,'dustLoad')"
                  [(ngModel)]="op.F"
                  placeholder="0"
                  required
                  #humidity="ngModel"
                  [style.width.px]="80" />
              </td>
              <td>
                <input [id]="'dustLoad'+i"
                  type="number"
                  name="DustLoad"
                  (keydown.enter)="handleEnterKey($event,i,'normalDensity')"
                  [disabled]="!isDisableds()"
                  placeholder="40"
                  [style.width.px]="80" />
              </td>
              <td>
                <input [id]="'normalDensity'+i"
                  type="number"
                  name="normalDensity"
                  (keydown.enter)="handleEnterKey($event,i,'density')"
                  placeholder="0.786"
                  [style.width.px]="80" />
              </td>
              <td>
                <input [id]="'density'+i"
                  type="number"
                  name="Density"
                  (keydown.enter)="handleEnterKey($event,i,'dynamicViscosity')"
                  [disabled]="isDisabled()"
                  [(ngModel)]="op.Ro"
                  placeholder="0"
                  required
                  #density="ngModel"
                  [style.width.px]="80" />
              </td>
              <td>
                <input [id]="'dynamicViscosity'+i"
                  type="number"
                  name="DynamicViscosity"
                  (keydown.enter)="handleEnterKey($event,i,'next')"
                  [(ngModel)]="op.Vi"
                  placeholder="0"
                  required
                  #dynamicViscosity="ngModel"
                  [style.width.px]="80" />
              </td>
            </tr>
          </tbody>
          <!-- <tbody>
            <tr>
              <td>
                <span>OP-1</span>
              </td>
              <td>120</td>
              <td>3.2</td>
              <td>2942</td>
              <td>&nbsp;</td>
              <td>0</td>
              <td>40</td>
              <td>0.786</td>
              <td>0.786</td>
              <td>0.225e-4</td>
            </tr>
            <tr>
              <td>
                <span>OP-1</span>
              </td>
              <td>120</td>
              <td>3.2</td>
              <td>2942</td>
              <td></td>
              <td>0</td>
              <td>40</td>
              <td>0.786</td>
              <td>0.786</td>
              <td>0.225e-4</td>
            </tr>
          </tbody> -->
        </table>
      </div>
      <div class="mgt-15 row btm-btns">
        <div class="col-sm-4">
          <button type="button"
            (click)="addOperatingPoint.emit()"
            class="btn-gray">+ ADD</button>
        </div>
        <div class="col-sm-8 text-right">
          <button type="button"
            class="btn-green"
            (click)="goToPrevious.emit()">Previous</button>
          <button id="next"
            type="button"
            class="btn-green"
            (click)="goToNext.emit()">Next</button>
        </div>
      </div>
    </div>
  </div>
</div>
